# Class User | EchoHub Documentation

# Class User

Namespace
  EchoHub.Core.Models

Assembly
  EchoHub.Core.dll

    public class User

Inheritance
  object
  User

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### User()

    public User()

## Properties

### AvatarAscii

    public string? AvatarAscii { get; set; }

#### Property Value

string

### Bio

    public string? Bio { get; set; }

#### Property Value

string

### CreatedAt

    public DateTimeOffset CreatedAt { get; set; }

#### Property Value

DateTimeOffset

### DisplayName

    public string? DisplayName { get; set; }

#### Property Value

string

### Id

    public Guid Id { get; set; }

#### Property Value

Guid

### IsBanned

    public bool IsBanned { get; set; }

#### Property Value

bool

### IsMuted

    public bool IsMuted { get; set; }

#### Property Value

bool

### LastSeenAt

    public DateTimeOffset LastSeenAt { get; set; }

#### Property Value

DateTimeOffset

### MutedUntil

    public DateTimeOffset? MutedUntil { get; set; }

#### Property Value

DateTimeOffset?

### NicknameColor

    public string? NicknameColor { get; set; }

#### Property Value

string

### PasswordHash

    public required string PasswordHash { get; set; }

#### Property Value

string

### Role

    public ServerRole Role { get; set; }

#### Property Value

ServerRole

### Status

    public UserStatus Status { get; set; }

#### Property Value

UserStatus

### StatusMessage

    public string? StatusMessage { get; set; }

#### Property Value

string

### Username

    public required string Username { get; set; }

#### Property Value

string